1 (23.10.2014 16:29:30 отредактировано Wehrmacht_Rover)

Тема: Не собирается Tomahawk

Прошу помощи у спецов  ak  Прочесал весь Гугл и Яндекс, увы  au

-----------------------------------------------------------------------------
-- The following OPTIONAL packages could NOT be located on your system.
-- Consider installing them to enable more features from this software.
-----------------------------------------------------------------------------
   * QTweetLib  <[url]https://github.com/minimoog/QTweetLib[/url]>
     Qt Twitter Library
     QTweetLib is needed for the Twitter SIP plugin.


-----------------------------------------------------------------------------
-- The following REQUIRED packages could NOT be located on your system.
-- You must install these packages before continuing.
-----------------------------------------------------------------------------
   * Qt  <[url]http://qt.nokia.com[/url]>
     A cross-platform application and UI framework
     If you see this, although libqt4-devel is installed, check whether the 
     qtwebkit-devel package and whatever contains QtUiTools is installed too

-----------------------------------------------------------------------------
[ebuild  N    ~] media-sound/tomahawk-0.7.0  USE="jabber -debug -twitter" 0 kB

Total: 1 package (1 new), Size of downloads: 0 kB

Вот еще подозрительная хрень:

-- Could NOT find Qt4 (missing:  QT_QTTEST_INCLUDE_DIR QT_QTTEST_LIBRARY) (found suitable version "4.8.5", minimum required is "4.7.0")

Emerge установил все зависимости и теперь т*ахает мне мозг.
Понять не могу чё ему ещё надо  bu

2

Re: Не собирается Tomahawk

Wehrmacht_Rover, qtwebkit-devel и QtUiTools установлены?

3 (23.10.2014 19:19:20 отредактировано Wehrmacht_Rover)

Re: Не собирается Tomahawk

baralgin пишет

Wehrmacht_Rover, qtwebkit-devel и QtUiTools установлены?

qtwebkit 3 часа собирался, а qtwebkit-devel нигде не нашёл!  bu  QtUiTools не знаю как узнать, в пвпках с библиотеками есть.
Какого хна этого нет в репах если есть зависимости?

UPD: нашёл qttest в репах, поставлю, буду проверять.
UPD2: Томагавк установился и работает. И ещё одна проблема: он не воспроизводит музыку с инета: "Убедитесь что у вас есть поддержка phonon-backend и необходимые плагины установлены"
У него с зависимостями полная Ж  ac
phonon-backend отсутствует в портеже, какие плагины надо - не знаю

4

Re: Не собирается Tomahawk

Wehrmacht_Rover пишет

phonon-backend отсутствует в портеже, какие плагины надо - не знаю

Вроде все что нужно уже есть в зависимостях самого ебилда Томагавк.
Как вариант можно установить глобальный флаг pulseaudio и пересобрать мир с системой под новые зависимости, после этого через pulseaudio должен начать воспроизводить.

5

Re: Не собирается Tomahawk

Wehrmacht_Rover пишет

phonon-backend отсутствует в портеже, какие плагины надо - не знаю

media-libs/phonon-gstreamer
media-libs/phonon